---
title: New Git service @ socialnerds.org
description: "New Git repo hosting for socialnerds.org"
date: 2020-12-05
draft: false
tags: ["imported-from-old-website", "gitlab", "gitea"]
---

Greetings fellow nerds,

it has not been an easy decision but i'll be replacing our [Gitlab](https://gitlab.org) instance at [socialg.it](https://socialg.it) with [Gitea](https://gitea.io). The new system is already in place at [git.socialnerds.org](https://git.socialnerds.org/) and you can start migrating your data immediately.

The reasons for this move are that Gitlab is quite slow and uses insane amounts of resources. To name an example it consumes four to six gigabytes of memory while idling. Also the interface became bloated with a ton of features not needed in my opinion. Long story short i think a more resource conserving, faster and stripped in unnecessary features variant of Git hosting is much better suited for us. And it comes with SMTP user authentication which means you can just go ahead and login to [git.socialnerds.org](https://git.socialnerds.org) with your socialnerds.org email account. Various OAuth2 user backends like [github.com](https://github.com) and [gitlab.com](https://gitlab.com) will also be enabled so collaboration with external users will continue to be possible.

The domain [socialg.it](https://socialg.it) will expire and the [Gitlab](https://gitlab.org) service will effectively shutdown on the __8th of February 2021__. Please move over your data before then. If you fail to do so it will be sucked into the void of the Internet and will be lost forever.

If you have any questions, please don't hesitate to ask. Just drop me a line ([email](mailto:david@socialnerds.org)).

Read more about [Gitea](https://gitea.io) on the project's [documentation page](https://docs.gitea.io).

{{< pic src="/images/gitea.png" width="200" >}}
