---
title: "About"
description: "Information about socialnerds.org and it's community."
aliases: ["services", "contact", "contribute", "imprint"]
---

Welcome to [socialnerds.org](/). This site connects a couple of nerds (who do also exist in a social “real life” environment) doing interesting stuff like writing code, playing around with hardware, getting to know the latest operating systems, gaming old classics or doing whatever is fun doing with a computer (or something similar).


## Services

- [E-Mail](https://excelsior.socialnerds.org/mail)
- [Nextcloud](https://socialnerds.cloud)
- [Git](https://git.socialnerds.org)


## Contribute

This website is built with [Hugo](https://gohugo.io) and the [Archie Theme](https://github.com/athul/archie). If you want to contribute content to this page install [Hugo](https://gohugo.io/installation/), fork [this repository](https://git.socialnerds.org/socialnerds/website) and send a pull request my way. It is automatically built and deployed on every change to the `main` branch.

## Contact

The obligatory imprint information.

| Who                 | What       | How      |
| :------------------ | :--------- | :------- |
| David Starzengruber | Owner      | [admin@socialnerds.org](mailto:admin@socialnerds.org) |
