---
title: "Building a Backup Server"
date: 2023-12-04T14:32:34+01:00
description: Do you want to build your own backup server? Then go no further!
draft: true
tags: ["manjaro", "restic"]
---

{{< callout emoji="⚡️" text="Work in progress.." >}}

In this post i'll document my backup server build. It is based on an Odroid HC4 running [Manjaro Linux](https://manjaro.org) with two 12TB drives in a RAID1 array, an instance of [rest-server](https://github.com/restic/rest-server) by the [Restic](https://github.com/restic/restic) developers and a few custom scripts to put it all together.

I did setup everything in a neat 1U rackmount case which totally optional. You can install the Odroid into any case or just use the included toster case.

## Prerequisites

- [Odroid HC4](https://www.hardkernel.com/shop/odroid-hc4/) (or any SBC with at least two SATA ports)
- Bootable USB stick with [Manjaro Linux](https://manjaro.org)
- 2x Any SATA HDD
- [Optional] 2x [SATA adapters](https://www.e-tec.at/details.php?artnr=239320) and 2x [SATA cables](https://www.e-tec.at/details.php?artnr=136631)
- [Optional] Any empty 1U rackmount case (i had [this](https://www.thomann.de/intl/adam_hall_87407_v_19_1he_leergehaeuse.htm) one laying around)

## Photos

{{< pic src="/images/bkp-server-front.jpg" width="100%" >}}
{{< pic src="/images/bkp-server-inside.jpg" width="100%" >}}
